<ng2-toasty [position]="'top-center'"></ng2-toasty>
<!--Container for modal window-->
<template ngbModalContainer></template>
<!-- Airline Modal window -->
<template #airlineModal let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h5 class="modal-title">Select Airline</h5>
        <!--<button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>-->
    </div>
    <div class="modal-body">
        <select class="form-control" (change)="c('Close click');onAirlineSelect()" [(ngModel)]="airlineModel" name="first">
            <option *ngIf="!isClosable" value="default">Select airline</option>
            <option *ngFor="let airline of airlineList" [ngValue]="airline.airlineInternalId">{{airline.airlineName}}
            </option>
        </select>
    </div>
    <div class="modal-footer">
        <button *ngIf="isClosable" type="button" class="btn btn-secondary" (click)="c('Close click')">Cancel</button>
    </div>
</template>
<div class="app-content container-fluid">
    <div class="thales-header row">
        <div class="thales-icon">
            <a><i  class="fa fa-cloud"
               (click)="isCloudActive = !isCloudActive" [ngClass]="{activeTab: isCloudActive}" aria-hidden="true"></i>&nbsp;InFlytCloud</a>
        </div>
        <div class="airline-container"><span></span><a (click)="changeAirline()" data-reveal-id="myModal">Change Airline</a></div>
        <div class="notification-icons">
            <a><i class="fa fa-user-circle" aria-hidden="true" (click)="toggleNotification()"></i></a>
            <a><i class="fa fa-bell-o" aria-hidden="true" (click)="toggleNotification()" ></i></a>
            <a><i class="fa fa-search" aria-hidden="true" (click)="toggleNotification()"></i></a>
        </div>
    </div>
    <div class="navbar navbar-default navbar-fixed-top thales-header-bottom">
        <div class="container nav-container">
            <div>
                <h1><span class="logo">TA</span>{{selectedAirline?.airlineName}}</h1>
            </div>
            <div id="navbar" class="">
                <ul class="nav headerLinksBelow">
                    <li routerLink="/order-management" [routerLinkActive]="['activeTab']"><a>Order Management</a></li>
                    <li [routerLinkActive]="['activeTab']" routerLink="/ingestion"><a>Ingestion</a></li>
                    <li [routerLinkActive]="['activeTab']" routerLink="/packaging"><a>Packaging</a></li>
                    <li [routerLinkActive]="['activeTab']" routerLink="/workflow"><a>Workflow</a></li>
                    <li>
                        <div ngbDropdown class="d-inline-block">
                            <a class="" id="dropdownMenu1" ngbDropdownToggle>More</a>
                            <div class="dropdown-menu" aria-labelledby="dropdownMenu1">
                                <button class="dropdown-item" [routerLinkActive]="['active']" routerLink="/profile">Profile Management</button>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="breadcrumb-container">
        <breadcrumb></breadcrumb>
    </div>
    <div class="scrollable-content container-fluid">
        <router-outlet>
        </router-outlet>
    </div>
    <div *ngIf="showNotification" class="notification-wrapper">
        <div class="notification-container">
            <h3>Notifications</h3>
            <div class="notifi-items">
                <p>FILTERS</p>
                <h6>Filter 1 Description</h6>
                <h6>Filter 2 Description</h6>
                <h6>Filter 3 Description</h6>
                <h6>Filter 4 Description</h6>
            </div>
            <div class="notifi-items">
                <p>ALERTS</p>
                <h6>Alert 1 Description</h6>
                <h6>Alert 2 Description</h6>
                <h6>Alert 3 Description</h6>
                <h6>Alert 4 Description</h6>
            </div>
            <div class="notifi-items">
                <p>ACTIVITY</p>
                <h6>Activity 1 Description</h6>
                <h6>Activity 2 Description</h6>
                <h6>Activity 3 Description</h6>
                <h6>Activity 4 Description</h6>
            </div>
        </div>
        <span (click)="showNotification = false" class="popup-close"><i class="fa fa-remove"></i></span>
    </div>
    <div class="container thales-footer">
        <a class="serach"><i class="fa fa-search whiteColor" aria-hidden="true"></i>&nbsp;Filter List</a>
        <a class="share"><i class="fa fa-share-square-o" aria-hidden="true"></i>&nbsp;Share</a>
        <a class="ticket"><i class="fa fa-ticket" aria-hidden="true"></i>&nbsp;Create a ticket &nbsp;&nbsp;&nbsp;</a>
    </div>
</div>
